Bug 15780

Summary: Include inventory number in patron account summary print
Product: Koha Reporter: Katrin Fischer <katrin.fischer>
Component: CirculationAssignee: Katrin Fischer <katrin.fischer>
Status: Pushed to master --- QA Contact: Testopia <testopia>
Severity: enhancement    
Priority: P5 - low CC: fridolin.somers, gmcharlt, katrin.fischer, kyle.m.hall, lucas
Version: masterKeywords: Academy
Hardware: All   
OS: All   
See Also: https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=11340
Change sponsored?: --- Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00
Attachments: Bug 15780: Add inventory number to checkout list on summary print
Bug 16728: Add MARC21 777 - Issued with entry to staff and OPAC detail pages
Bug 15780: Add inventory number to checkout list on summary print
Bug 15780: Add inventory number to checkout list on summary print

Description Katrin Fischer 2016-02-10 10:08:50 UTC
It would be nice if the inventory number could be shown on the summary that can be printed from the patron account in staff.
Comment 1 Katrin Fischer 2020-09-17 22:55:47 UTC
Created attachment 110305 [details] [review]
Bug 15780: Add inventory number to checkout list on summary print

This will add the inventory number to the list of checkouts that
can be printed using the 'Print summary' feature from the patron
account in staff.

To test:
- Apply patch
- Make sure you have some items with and without inventory number set
- Check them out to any patron
- Go to Print > Print summary
- Verify the inventory number column is showing up and the numbers
  show with their items.
Comment 2 Katrin Fischer 2020-09-17 23:23:22 UTC
Created attachment 110306 [details] [review]
Bug 16728: Add MARC21 777 - Issued with entry to staff and OPAC detail pages

This adds the 777 - Issued with entry to the staff and OPAC detail pages.
It's built using the template for 773 with minor adjustments.

To test:
- Apply patch
- Catalog several 777 fields in one or more of your records
  - When using 1st indicator = 1, the note won't display
  - When using 2nd indicator empty, label will be "Issued with:"
  - When using 2nd indicator 8, the label will be drawn from $i if present
  - When $w and UseControlNumber pref is used, the link will be built using $w
  - In all other cases the title form $t will be used for the link
- Verify the display is correct

Examples for 777 can be found in the LOC MARC21 documentation:
http://www.loc.gov/marc/bibliographic/bd777.html

Note: Because the label depends on the 2nd indicator, the label is repeated for every
777 on a record.
Comment 3 Fridolin Somers 2020-09-25 09:19:09 UTC
Shouldn't also inventory number be added to checkouts table (in another bug) ?
Comment 4 Fridolin Somers 2020-09-25 09:34:01 UTC
Created attachment 110728 [details] [review]
Bug 15780: Add inventory number to checkout list on summary print

This will add the inventory number to the list of checkouts that
can be printed using the 'Print summary' feature from the patron
account in staff.

To test:
- Apply patch
- Make sure you have some items with and without inventory number set
- Check them out to any patron
- Go to Print > Print summary
- Verify the inventory number column is showing up and the numbers
  show with their items.

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Comment 5 Kyle M Hall 2020-10-15 13:25:18 UTC
Created attachment 111734 [details] [review]
Bug 15780: Add inventory number to checkout list on summary print

This will add the inventory number to the list of checkouts that
can be printed using the 'Print summary' feature from the patron
account in staff.

To test:
- Apply patch
- Make sure you have some items with and without inventory number set
- Check them out to any patron
- Go to Print > Print summary
- Verify the inventory number column is showing up and the numbers
  show with their items.

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Jonathan Druart 2020-11-04 12:02:22 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-11-16 21:32:21 UTC
enhancement will not be backported to 20.05.x